# Class InternalWebGLRenderer

#### Hierarchy

- WebGLRenderer
  - InternalWebGLRenderer

- Defined in lib/five/core/internalWebGLRenderer.ts:3

##### Index

### Constructors

constructor

## Constructors

### constructor

- new InternalWebGLRenderer(
  __namedParameters: {
  antialias?: boolean;
  logarithmicDepthBuffer?: boolean;
  powerPreference?: "default" | "high-performance" | "low-power";
  precision?: "highp" | "mediump" | "lowp";
  premultipliedAlpha?: boolean;
  preserveDrawingBuffer?: boolean;
  stencil?: boolean;
  webgl2?: boolean;
  },
  ): InternalWebGLRenderer

  #### Parameters

  - __namedParameters: {
    antialias?: boolean;
    logarithmicDepthBuffer?: boolean;
    powerPreference?: "default" | "high-performance" | "low-power";
    precision?: "highp" | "mediump" | "lowp";
    premultipliedAlpha?: boolean;
    preserveDrawingBuffer?: boolean;
    stencil?: boolean;
    webgl2?: boolean;
    }

  #### Returns InternalWebGLRenderer

  Overrides THREE.WebGLRenderer.constructor

  - Defined in lib/five/core/internalWebGLRenderer.ts:4